
Packaging - Feature #4451

Build all ruby193 dependencies for EL7

02/25/2014 05:13 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: RPMs   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

All ruby193 packages outside of the stock RHSCL need spec file macros updating and rebuilding for EL7.  This should mirror what's

built for EL6 already.

Related issues:

Blocks Foreman - Tracker #4447: Support installation on RHEL 7 Closed 02/25/2014

Associated revisions

Revision 2a6baed9 - 05/30/2014 09:20 AM - Dominic Cleal

refs #4451 - enable RHEL 7 SCL builds

Revision 4ba2e925 - 05/30/2014 09:34 AM - Dominic Cleal

refs #4451 - modernise spec for EL7

History

#1 - 02/25/2014 05:13 PM - Dominic Cleal

- Blocks Tracker #4447: Support installation on RHEL 7 added

#2 - 03/25/2014 04:02 PM - Dominic Cleal

- Related to Bug #4841: Package Foreman in its own SCL added

#3 - 05/21/2014 11:53 AM - Dominic Cleal

foreman-nightly-rhel7 target is now configured in foreman-packaging, although I'm not rebuilding everything yet, I'll take the opportunity when

packages get rebuilt for other reasons.

(#4841 will probably have to be done after EL7 btw.)

#4 - 05/29/2014 12:32 PM - Dominic Cleal

- Related to deleted (Bug #4841: Package Foreman in its own SCL)

#5 - 05/29/2014 05:35 PM - Dominic Cleal

- Category set to RPMs

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

- Target version set to 1.8.2

#6 - 06/02/2014 07:46 AM - Dominic Cleal

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

- translation missing: en.field_release set to 10
https://github.com/theforeman/foreman-packaging/tree/rpm/develop
https://projects.theforeman.org/issues/4841


All built!  Except rubygem-thin, which I've proposed be removed: https://github.com/theforeman/foreman-packaging/pull/257
